summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andre Barboza2016-12-30 03:57:47 +0100
committer Willy Sudiarto Raharjo2016-12-31 02:22:19 +0100
commit599796dc353ad8954884a556604a66e715952c63 (patch)
treecb3f63f969237714942f4a25e3fa3dc1d563d4fb
parentdfc4cb62cb578fec5527e7724b2c87dd4845f90c (diff)
downloadslackbuilds-599796dc353ad8954884a556604a66e715952c63.tar.gz
development/libodb-sqlite: Added (Sqlite library for ODB c++ ORM).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/libodb-sqlite/README18
-rw-r--r--development/libodb-sqlite/libodb-sqlite.SlackBuild97
-rw-r--r--development/libodb-sqlite/libodb-sqlite.info10
-rw-r--r--development/libodb-sqlite/slack-desc19
4 files changed, 144 insertions, 0 deletions
diff --git a/development/libodb-sqlite/README b/development/libodb-sqlite/README
new file mode 100644
index 0000000000..ab119b383f
--- /dev/null
+++ b/development/libodb-sqlite/README
@@ -0,0 +1,18 @@
+ODB is an open-source, cross-platform, and cross-database object-
+relational mapping (ORM) system for C++. It allows you to persist
+C++ objects to a relational database without having to deal with
+tables, columns, or SQL and without manually writing any mapping
+code.
+
+ODB supports MySQL, SQLite, PostgreSQL, Oracle, and
+Microsoft SQL Server relational databases as well as C++98/03 and
+C++11 language standards. It also comes with optional profiles
+for Boost and Qt which allow you to seamlessly use value types,
+containers, and smart pointers from these libraries in your
+persistent C++ classes.
+
+The ODB system consists of several packages. The essential packages
+are the ODB compiler (odb), the common runtime library (libodb),
+and the database-specific runtime library (libodb-<database>).
+For example, if you are planning to use MySQL, then the set of
+packages that you will need would be: odb, libodb, and libodb-mysql.
diff --git a/development/libodb-sqlite/libodb-sqlite.SlackBuild b/development/libodb-sqlite/libodb-sqlite.SlackBuild
new file mode 100644
index 0000000000..8d34d41677
--- /dev/null
+++ b/development/libodb-sqlite/libodb-sqlite.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for Code Synthesis libodb-sqlite
+
+# Copyright Andre Barboza 2016, Belo Horizonte - Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libodb-sqlite
+VERSION=${VERSION:-2.4.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/libodb-sqlite/libodb-sqlite.info b/development/libodb-sqlite/libodb-sqlite.info
new file mode 100644
index 0000000000..1be1d07a2f
--- /dev/null
+++ b/development/libodb-sqlite/libodb-sqlite.info
@@ -0,0 +1,10 @@
+PRGNAM="libodb-sqlite"
+VERSION="2.4.0"
+HOMEPAGE="http://www.codesynthesis.com/products/odb/"
+DOWNLOAD="http://www.codesynthesis.com/download/odb/2.4/libodb-sqlite-2.4.0.tar.bz2"
+MD5SUM="4415627849cd7d9f5dac7a160b245d4c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libodb"
+MAINTAINER="Andre Barboza"
+EMAIL="bmg.andre@gmail.com"
diff --git a/development/libodb-sqlite/slack-desc b/development/libodb-sqlite/slack-desc
new file mode 100644
index 0000000000..770cb2a27f
--- /dev/null
+++ b/development/libodb-sqlite/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libodb-sqlite: libodb-sqlite (Sqlite library runtime for ODB c++ ORM)
+libodb-sqlite:
+libodb-sqlite: ODB is an open-source, cross-platform, and cross-database object-
+libodb-sqlite: relational mapping (ORM) system for C++. It allows you to persist
+libodb-sqlite: C++ objects to a relational database without having to deal with
+libodb-sqlite: tables, columns, or SQL and without manually writing any mapping
+libodb-sqlite: code.
+libodb-sqlite:
+libodb-sqlite:
+libodb-sqlite: http://www.codesynthesis.com/products/odb/
+libodb-sqlite: